const path = require("path"); // <-get absolute location for saving
const pkg = require("./package.json");
module.exports = {
  entry: "./index.js", // <- starting point for bundle
  mode: "production",
  output: {
    path: path.resolve(__dirname, "dist"), //<-where to save ur bundle
    filename: "index.js", //<-filename for bundled file
    library: pkg.name,
    libraryTarget: "commonjs2", //<- to which version are we compiling js
  },
  resolve: {
    extensions: [".js", ".jsx", ".ts", ".tsx", ".json", ".css", ".scss"],
    modules: ["src", "node_modules"], // Assuming that your files are inside the src dir
  },
  module: {
    rules: [
      {
        test: /\.(js|jsx)$/,
        exclude: /node_modules/,
        use: {
          loader: "babel-loader",
        },
      },
      {
        test: /\.css$/i,
        use: ["style-loader", "css-loader"],
      },
    ],
  },
};
